JGraph X 1.3.0.0

## com.mxgraph.reader
Class mxGraphViewImageReader

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          com.mxgraph.reader.mxGraphViewReader
              com.mxgraph.reader.mxGraphViewImageReader

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

    public class mxGraphViewImageReader

extends mxGraphViewReader

A converter that renders display XML data onto a graphics canvas. This reader can only be used to generate images for encoded graph views.

Field Summary
`protected boolean` `antiAlias` Specifies if the image should be anti-aliased.
`protected java.awt.Color` `background` Specifies the background color.
`protected int` `border` Specifies the border which is added to the size of the graph.
`protected mxRectangle` `clip` Defines the clip to be drawn.
`protected boolean` `cropping` Specifies the border which is added to the size of the graph.

Fields inherited from class com.mxgraph.reader.mxGraphViewReader
`canvas, htmlLabels, scale`

Constructor Summary
`mxGraphViewImageReader()` Constructs a new reader with a transparent background.
`mxGraphViewImageReader(java.awt.Color background)` Constructs a new reader with the given background color.
`mxGraphViewImageReader(java.awt.Color background, int border)` Constructs a new reader with a transparent background.
`mxGraphViewImageReader(java.awt.Color background, int border, boolean antiAlias)` Constructs a new reader with a transparent background.
`mxGraphViewImageReader(java.awt.Color background, int border, boolean antiAlias, boolean cropping)` Constructs a new reader with a transparent background.

Method Summary
`static java.awt.image.BufferedImage` `convert(org.xml.sax.InputSource inputSource, mxGraphViewImageReader viewReader)` Creates the image for the given display XML input source.
`static java.awt.image.BufferedImage` `convert(java.lang.String filename, mxGraphViewImageReader viewReader)` Creates the image for the given display XML file.
`mxICanvas` `createCanvas(java.util.Map<java.lang.String,java.lang.Object> attrs)` Returns the canvas to be used for rendering.
`protected mxGraphics2DCanvas` `createGraphicsCanvas()` Hook that creates the graphics canvas.
`java.awt.Color` `getBackground()`
`int` `getBorder()`
`mxRectangle` `getClip()`
`boolean` `isAntiAlias()`
`boolean` `isCropping()` Specifies the optional clipping rectangle.
`void` `setAntiAlias(boolean antiAlias)`
`void` `setBackground(java.awt.Color background)`
`void` `setBorder(int border)`
`void` `setClip(mxRectangle value)`
`void` `setCropping(boolean value)`

Methods inherited from class com.mxgraph.reader.mxGraphViewReader
`drawEdge, drawLabel, drawVertex, getCanvas, isHtmlLabels, parseElement, parsePoints, setHtmlLabels, startElement`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### background

    protected java.awt.Color background

  Specifies the background color. Default is null.

### antiAlias

    protected boolean antiAlias

  Specifies if the image should be anti-aliased. Default is true.

### border

    protected int border

  Specifies the border which is added to the size of the graph. Default is 0.

### cropping

    protected boolean cropping

  Specifies the border which is added to the size of the graph. Default is true.

### clip

    protected mxRectangle clip

  Defines the clip to be drawn. Default is null.

Constructor Detail

### mxGraphViewImageReader

    public mxGraphViewImageReader()

  Constructs a new reader with a transparent background.

### mxGraphViewImageReader

    public mxGraphViewImageReader(java.awt.Color background)

  Constructs a new reader with the given background color.

### mxGraphViewImageReader

    public mxGraphViewImageReader(java.awt.Color background,
                                  int border)

  Constructs a new reader with a transparent background.

### mxGraphViewImageReader

    public mxGraphViewImageReader(java.awt.Color background,
                                  int border,
                                  boolean antiAlias)

  Constructs a new reader with a transparent background.

### mxGraphViewImageReader

    public mxGraphViewImageReader(java.awt.Color background,
                                  int border,
                                  boolean antiAlias,
                                  boolean cropping)

  Constructs a new reader with a transparent background.

Method Detail

### getBackground

    public java.awt.Color getBackground()

### setBackground

    public void setBackground(java.awt.Color background)

### getBorder

    public int getBorder()

### setBorder

    public void setBorder(int border)

### isAntiAlias

    public boolean isAntiAlias()

### setAntiAlias

    public void setAntiAlias(boolean antiAlias)

### isCropping

    public boolean isCropping()

  Specifies the optional clipping rectangle.

### setCropping

    public void setCropping(boolean value)

### getClip

    public mxRectangle getClip()

### setClip

    public void setClip(mxRectangle value)

### createCanvas

    public mxICanvas createCanvas(java.util.Map<java.lang.String,java.lang.Object> attrs)

  Description copied from class: `mxGraphViewReader`
  Returns the canvas to be used for rendering.

  Specified by:
    `createCanvas` in class `mxGraphViewReader`
  Parameters:
    `attrs` - Specifies the attributes of the new canvas.
  Returns:
    Returns a new canvas.

### createGraphicsCanvas

    protected mxGraphics2DCanvas createGraphicsCanvas()

  Hook that creates the graphics canvas.

### convert

    public static java.awt.image.BufferedImage convert(java.lang.String filename,
                                                       mxGraphViewImageReader viewReader)
                                                throws javax.xml.parsers.ParserConfigurationException,
                                                       org.xml.sax.SAXException,
                                                       java.io.IOException

  Creates the image for the given display XML file. (Note: The XML file is an encoded mxGraphView, not mxGraphModel.)

  Parameters:
    `filename` - Filename of the display XML file.
  Returns:
    Returns an image representing the display XML file.
  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`
    `java.io.IOException`

### convert

    public static java.awt.image.BufferedImage convert(org.xml.sax.InputSource inputSource,
                                                       mxGraphViewImageReader viewReader)
                                                throws javax.xml.parsers.ParserConfigurationException,
                                                       org.xml.sax.SAXException,
                                                       java.io.IOException

  Creates the image for the given display XML input source. (Note: The XML is an encoded mxGraphView, not mxGraphModel.)

  Parameters:
    `inputSource` - Input source that contains the display XML.
  Returns:
    Returns an image representing the display XML input source.
  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`
    `java.io.IOException`

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.